org.apache.tinkerpop.gremlin.structure.util.empty

## Class EmptyGraph.EmptyGraphFeatures.EmptyGraphVertexFeatures

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.util.empty.EmptyGraph.EmptyGraphFeatures.EmptyGraphElementFeatures
  - - org.apache.tinkerpop.gremlin.structure.util.empty.EmptyGraph.EmptyGraphFeatures.EmptyGraphVertexFeatures

- All Implemented Interfaces:
    Graph.Features.ElementFeatures, Graph.Features.FeatureSet, Graph.Features.VertexFeatures
  Enclosing class:
    EmptyGraph.EmptyGraphFeatures

      public final class EmptyGraph.EmptyGraphFeatures.EmptyGraphVertexFeatures
      extends EmptyGraph.EmptyGraphFeatures.EmptyGraphElementFeatures
      implements Graph.Features.VertexFeatures

  Vertex features defined such that they support immutability but allow all other possibilities.

- - ### Property Summary

    - ### Properties inherited from class org.apache.tinkerpop.gremlin.structure.util.empty.EmptyGraph.EmptyGraphFeatures.EmptyGraphElementFeatures

      `supportsAddProperty, supportsRemoveProperty`

    - ### Properties inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.ElementFeatures

      `supportsAddProperty, supportsRemoveProperty`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.VertexFeatures

      `FEATURE_ADD_VERTICES, FEATURE_DUPLICATE_MULTI_PROPERTIES, FEATURE_META_PROPERTIES, FEATURE_MULTI_PROPERTIES, FEATURE_REMOVE_VERTICES, FEATURE_UPSERT`

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.ElementFeatures

      `FEATURE_ADD_PROPERTY, FEATURE_ANY_IDS, FEATURE_CUSTOM_IDS, FEATURE_NUMERIC_IDS, FEATURE_REMOVE_PROPERTY, FEATURE_STRING_IDS, FEATURE_USER_SUPPLIED_IDS, FEATURE_UUID_IDS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyGraphVertexFeatures()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VertexProperty.Cardinality` | `getCardinality(String key)` Gets the `VertexProperty.Cardinality` for a key.
    `Graph.Features.VertexPropertyFeatures` | `properties()` Gets features related to "properties" on a `Vertex`.
    `boolean` | `supportsAddVertices()` Determines if a `Vertex` can be added to the `Graph`.
    `boolean` | `supportsRemoveVertices()` Determines if a `Vertex` can be removed from the `Graph`.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.structure.util.empty.EmptyGraph.EmptyGraphFeatures.EmptyGraphElementFeatures

      `supportsAddProperty, supportsRemoveProperty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.VertexFeatures

      `supportsDuplicateMultiProperties, supportsMetaProperties, supportsMultiProperties, supportsUpsert`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Graph.Features.ElementFeatures

      `supportsAddProperty, supportsAnyIds, supportsCustomIds, supportsNumericIds, supportsRemoveProperty, supportsStringIds, supportsUserSuppliedIds, supportsUuidIds, willAllowId`

- - ### Constructor Detail

    - #### EmptyGraphVertexFeatures

          public EmptyGraphVertexFeatures()

  - ### Method Detail

    - #### getCardinality

          public VertexProperty.Cardinality getCardinality(String key)

      Description copied from interface: `Graph.Features.VertexFeatures`
      Gets the `VertexProperty.Cardinality` for a key. By default, this method will return `VertexProperty.Cardinality.list`. Implementations that employ a schema can consult it to determine the `VertexProperty.Cardinality`. Those that do no have a schema can return their default `VertexProperty.Cardinality` for every key.

      Note that this method is primarily used by TinkerPop for internal usage and may not be suitable to reliably determine the cardinality of a key. For some implementation it may offer little more than a hint on the actual cardinality. Generally speaking it is likely best to drop down to the API of the `Graph` implementation for any schema related queries.
      Specified by:
        `getCardinality` in interface `Graph.Features.VertexFeatures`

    - #### supportsAddVertices

          public boolean supportsAddVertices()

      Description copied from interface: `Graph.Features.VertexFeatures`
      Determines if a `Vertex` can be added to the `Graph`.
      Specified by:
        `supportsAddVertices` in interface `Graph.Features.VertexFeatures`

    - #### supportsRemoveVertices

          public boolean supportsRemoveVertices()

      Description copied from interface: `Graph.Features.VertexFeatures`
      Determines if a `Vertex` can be removed from the `Graph`.
      Specified by:
        `supportsRemoveVertices` in interface `Graph.Features.VertexFeatures`

    - #### properties

          public Graph.Features.VertexPropertyFeatures properties()

      Description copied from interface: `Graph.Features.VertexFeatures`
      Gets features related to "properties" on a `Vertex`.
      Specified by:
        `properties` in interface `Graph.Features.VertexFeatures`

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.